/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FOURINTPNF_H_
#define FOURINTPNF_H_

double PNfI4E0y(double w, double tl, double x, double c);
double PNfI4EM1y(double w, double tl, double x, double c);
double PNfI4EM2y(double w, double tl, double x, double c);

double PNfI4E0t(double w, double tl, double s5, double c);
double PNfI4EM1t(double w, double tl, double s5, double c);
double PNfI4EM2t(double w, double tl, double s5, double c);

double PNfI4E0u(double w, double tl, double z, double c);
double PNfI4EM1u(double w, double tl, double z, double c);
double PNfI4EM2u(double w, double tl, double z, double c);

#endif /* FOURINTPNF_H_ */
