#ifndef FOURINTPNF_H_
#define FOURINTPNF_H_

/*
 * the leading (eps^-2) terms vanish, since if x is the additional
 * integration the leading eps-term of this plus-dist vanishes,
 * and if x is delta'ed, it contributes a 1/alpha
 */

double PNfI4E0x(double w, double tl, double x, double c);
double PNfI4EM1x(double w, double tl, double x, double c);

double PNfI4E0s(double w, double tl, double s5, double c);
double PNfI4EM1s(double w, double tl, double s5, double c);

double PNfI4E0z(double w, double tl, double z, double c);
double PNfI4EM1z(double w, double tl, double z, double c);

#endif /* FOURINTPNF_H_ */
