#ifndef FIVEINTNF_H_
#define FIVEINTNF_H_

/*
 * leading terms (1/eps) vanish, since that means integrating x
 * (otherwise there'd be an alpha), which has a vanishing
 * leading order in its +-dist
 */

double NfI5E0z(double w, double s6, double x, double s5, double c);

double NfI5E0x(double w, double s6, double s5, double z, double c);

double NfI5E0s(double w, double s6, double x, double z, double c);

#endif /* FIVEINTNF_H_ */
